in

Ubuntu corrige mais três falhas de segurança

Não é notícia repetida, mas trata-se de uma nova descoberta de problemas de segurança.

Ubuntu corrige mais três falhas de segurança

Mais uma vez, temos que falar sobre falhas de segurança do kernel. E novamente também informamos que a Canonical já solucionou o problema. No total, são três vulnerabilidades encontradas e corrigidas. Porém, uma delas foi rotulada pela Canonical como alta prioridade. Já as outras duas foram rotuladas como prioridade média. As três vulnerabilidades afetam todas as versões do Ubuntu, incluindo o Ubuntu 19.04, Ubuntu 18.04 LTS e Ubuntu 16.04 LTS. Portanto, o Ubuntu corrige mais três falhas de segurança.

A Canonical publicou dois relatórios sobre essas três vulnerabilidades. São elas, o USN-4135-1, no qual eles nos falam sobre as versões do Ubuntu que ainda contam com suporte oficial e o USN-4135-2, que menciona praticamente o mesmo, porém para o Ubuntu 14.04 e Ubuntu 12.04. Estas duas últimas estão atualmente na versão ESM (Extended Security Maintenance). Ainda não foi descartado que a falha mais grave dos três afete o Ubuntu 19.10 Eoan Ermine.

O novo kernel do Ubuntu corrige mais três falhas de segurança

Ubuntu corrige mais três falhas de segurança

  • CVE-2019-14835um estouro de buffer foi descoberto na implementação de back-end (vhost_net) da rede virtio no kernel do Linux. Um invasor em um convidado pode usar isso para causar uma negação de serviço (bloqueio do sistema operacional host) ou possivelmente executar código arbitrário no sistema operacional do host (alta prioridade).
  • CVE-2019-15030: o kernel do Linux nas arquiteturas do PowerPC não tratou adequadamente as exceções de recursos não disponíveis em algumas situações. Um invasor local pode usar isso para expor informações confidenciais (prioridade média).
  • CVE-2019-15031o kernel do Linux nas arquiteturas do PowerPC não tratou adequadamente as exceções nas interrupções em algumas situações. Um invasor local pode usar isso para expor informações confidenciais.

Nos links anteriores, você tem todas as informações sobre os pacotes que precisam ser atualizados. No entanto, basicamente temos que abrir nosso atualizador de software e instalar tudo o que vemos como “linux-“ . Depois que todos os pacotes estiverem instalados, devemos reiniciar para que as alterações tenham efeito.

Fonte: Ubunlog

Escrito por Claylson Martins

Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão.

Próxima versão do Kdenlive promete ser ótimo lançamento

Editor de vídeo Kdenlive 19.08.1 está disponível em Flatpak e chega com 18 alterações

QMapShack, uma excelente aplicação para o planejamento de rotas e dados de GPS

QMapShack, uma excelente aplicação para o planejamento de rotas e dados de GPS